GET /{blockchain}/v2/address/{address}
Operation ID: getAddressV2
Auth: unknown
Description
Returns balances and transactions of an address. The returned transactions are sorted by block height, newest blocks first. The **details** query parameter can specify the level of details returned by the request (default: "txids"). Possible values are: **basic**: return only xpub balances, without any derived addresses and transactions **tokens**: basic + tokens (addresses) derived from the xpub, subject to tokens parameter **tokenBalances**: basic + tokens (addresses) derived from the xpub with balances, subject to tokens parameter **txids**: tokenBalances + list of txids, subject to from, to filter and paging **txs**: tokenBalances + list of transaction with details, subject to from, to filter and paging
Parameters (9)
(string, path, required)
Wallet address
(string, path, required)
Blockchain name
(string, query, optional)
return only transactions which affect specified contract (applicable only to coins which support contracts)
(string, query, optional, default: txids)
specifies level of details returned by request
Constraints: {'enum': ['basic', 'tokens', 'tokenBalances', 'txids', 'txslight', 'txs']}
(integer, query, optional)
filter of the returned transactions from block height to block height (default no filter)
(integer, query, optional)
specifies page of returned transactions, starting from 1. If out of range, Blockbook returns the closest possible page.
(integer, query, optional)
number of transactions returned by call (default and maximum 1000)
(string, query, optional)
specifies secondary (fiat) currency in which the token and total balances are returned in addition to crypto values
(integer, query, optional)
filter of the returned transactions from block height to block height (default no filter)
No probe data for this endpoint yet.